cURL
curl --request PUT \
--url https://{tenant}.stamp.eu/rest/units/{unit} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissions": {
"employees": true,
"units": true,
"departments": true,
"events": true,
"leave": true,
"schedules": true,
"holidays": true,
"cost_centers": true,
"short_work": true,
"export": true,
"projects": true,
"absence_overlap": true
}
}
'import requests
url = "https://{tenant}.stamp.eu/rest/units/{unit}"
payload = {
"name": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissions": {
"employees": True,
"units": True,
"departments": True,
"events": True,
"leave": True,
"schedules": True,
"holidays": True,
"cost_centers": True,
"short_work": True,
"export": True,
"projects": True,
"absence_overlap": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
parent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
permissions: {
employees: true,
units: true,
departments: true,
events: true,
leave: true,
schedules: true,
holidays: true,
cost_centers: true,
short_work: true,
export: true,
projects: true,
absence_overlap: true
}
})
};
fetch('https://{tenant}.stamp.eu/rest/units/{unit}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"parent_id": "<string>",
"permissions": {},
"created_at": "<string>",
"updated_at": "<string>",
"children": "<array>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Organisationseinheiten
Einheit aktualisieren
PUT
/
units
/
{unit}
cURL
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Path Parameters
The unit ID
Body
application/json
Response
UnitResource
Show child attributes
Show child attributes
⌘I